This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260840 - RHEL6 test suite can not test fv_memory and fv_core. [NEEDINFO]
RHEL6 test suite can not test fv_memory and fv_core.
Status: CLOSED NOTABUG
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
1.0
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: brose
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 23:02 EDT by garrickyang
Modified: 2017-04-18 21:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-18 21:59:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkachuck: needinfo? (garrickyang)


Attachments (Terms of Use)

  None (edit)
Description garrickyang 2015-09-07 23:02:54 EDT
Description of problem:
RHEL6 test suite can not test fv_memory and fv_core.

Version-Release number of selected component (if applicable):
redhat-certification-1.0-20150723.el6.noarch.rpm
redhat-certification-hardware-1.6.6-20150901.el6.noarch.rpm
redhat-certification-information-1.6.6-20150901.el6.noarch.rpm

How reproducible:
always

Steps to Reproduce:
1.Install RHEL6.7 and test suite package.
2.Create test plan with command:
#rhcert-backend plan
2.Try to run fv_memory and fv_core with command: 
#rhcert-backend run --test=fv_memory --test=fv_core

Actual results:
RHEL6 test suite can not test fv_memory and fv_core.

Expected results:
Test fv_memory and fv_core normally.

Additional info:
1.The two tests run normally with hwcert-client-1.6.5.2-20141028.el6.
2.Found this issue on RHEL6 only, it is normal on RHEL7. 
3.Test log for RHEL6:
output.log:
----------------
<output>
/proc/cpuinfo has vmx flag
Testing kvm virtualization
Starting libvirtd daemon: 
libvirtd is running
Verified that guest hwcert-x86_64 is not running
Verified: /var/lib/libvirt/images/hwcertData.img
Verified: /var/lib/libvirt/images/hwcert-x86_64.img
Verified: /etc/libvirt/qemu/hwcert-x86_64.xml
Guest files verified
Restarting libvirtd:
Error: could not restart libvirtd:
"service libvirtd restart" has output on stderr
</output>
----------------
4.Try to restart libvirtd, and get "OK":
# service libvirtd restart
Stopping libvirtd daemon:                                  [  OK  ]
Starting libvirtd daemon: 2015-09-08 02:55:55.112+0000: 7667: info : libvirt version: 0.10.2, package: 54.el6 (Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>, 2015-04-28-09:24:16, x86-033.build.eng.bos.redhat.com)
2015-09-08 02:55:55.112+0000: 7667: warning : virGetHostname:2279 : getaddrinfo failed for 'rh6764l-P500-30A6-R5Z-090715': Name or service not known
                                                           [  OK  ]
# service libvirtd status
libvirtd (pid  7669) is running...
Comment 1 Joseph Kachuck 2016-09-30 14:00:16 EDT
Hello,
I apologize for the delay in responding to this BZ. Please confirm if you are still seeing this issue.

Thank You
Joe Kachuck

Note You need to log in before you can comment on or make changes to this bug.